import { impossiblePaymentIntentParser, impossiblePaymentIntentsQueryParser, impossiblePaymentIntentsResultParser } from './parsers';
import z from 'zod';
export declare type ImpossiblePaymentIntentBody = Omit<ImpossiblePaymentIntent, 'id'>;
export declare type ImpossiblePaymentIntent = z.infer<typeof impossiblePaymentIntentParser>;
export declare type ImpossiblePaymentIntentsResult = z.infer<typeof impossiblePaymentIntentsResultParser>;
export declare type ImpossiblePaymentIntentsQuery = z.infer<typeof impossiblePaymentIntentsQueryParser>;
